% Example 5.18
% Create a grid for the domain.
[x,y,z]=meshgrid(-3:.1:3,-3:.1:3,-3:.1:3);
[n,d]=size(x(:));
% Evaluate the trivariate standard normal.
a=(2*pi)^(3/2);
arg = (x.^2 + y.^2 + z.^2);
prob=exp((-.5)*arg)/a;
% Slice through the x=0, y=0, z=0 planes.
slice(x,y,z,prob,0,0,0)
xlabel('X Axis'),ylabel('Y Axis'),zlabel('Z Axis')
